Bug 155081 - [patch] net-p2p/transmission-daemon: don't override conf_dir and download_dir unconditionally
Summary: [patch] net-p2p/transmission-daemon: don't override conf_dir and download_dir...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jeremy Messenger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-27 11:20 UTC by swell.k
Modified: 2011-03-05 04:20 UTC (History)
0 users

See Also:


Attachments
a.diff (896 bytes, patch)
2011-02-27 11:20 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2011-02-27 11:20:09 UTC
Initializing value with `:=' ensures such a variable can be neither
undefined nor null. And `${foo:+-f ${foo}}' in transmission_flags always
expands with the right string, it could be reduced to just `-f ${foo}'.

So, by defining empty conf_dir and/or download_dir transmission should
infer default values from home directory, i.e. TRANSMISSION_HOME,
XDG_CONFIG_HOME, HOME in libtransmission/platform.c) and download_dir
from config file, too.

This is similar to how watch_dir is used which can be empty, too, while
at the same time it can be defined via config file.
Comment 1 Edwin Groothuis freebsd_committer 2011-02-27 11:20:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mezz

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 mezz.freebsd 2011-02-28 23:27:48 UTC
Thanks, I have patched it in my system with 2.21. Do you want to test
transmission-daemon 2.21? I am not a transmission-daemon user, so
probably best for someone that know more transmission-daemon to test
it for me. Feel free to send me more patches for transmission-daemon
if you have any.

http://people.freebsd.org/~mezz/diff/transmission-2.21.diff

Cheers,
Mezz


-- 
mezz.freebsd@gmail.com - mezz@FreeBSD.org
FreeBSD GNOME Team
http://www.FreeBSD.org/gnome/ - gnome@FreeBSD.org
Comment 3 dfilter service freebsd_committer 2011-03-05 04:17:37 UTC
mezz        2011-03-05 04:17:28 UTC

  FreeBSD ports repository

  Modified files:
    net-p2p/transmission Makefile 
    net-p2p/transmission-cli Makefile distinfo 
    net-p2p/transmission-cli/files patch-fix_without_ipv6 
                                   transmission.in 
  Added files:
    net-p2p/transmission-cli/files patch-daemon_remote.c 
                                   patch-gtk_tr-prefs.c 
                                   patch-libtransmission_torrent.c 
  Log:
  - Update to 2.22.
  - Don't override conf_dir and download_dir unconditionally [1]
  - Don't use localhost default by replace to 127.0.0.1 for IPv6 issue as
    transmission-remote doesn't support IPv6 yet. [2]
  
  PR:             ports/155081 [1]
                  ports/155139 [2]
  Submitted by:   Anonymous <swell.k@gmail.com> [1][2]
  
  Revision  Changes    Path
  1.74      +2 -2      ports/net-p2p/transmission-cli/Makefile
  1.53      +2 -2      ports/net-p2p/transmission-cli/distinfo
  1.1       +11 -0     ports/net-p2p/transmission-cli/files/patch-daemon_remote.c (new)
  1.2       +9 -9      ports/net-p2p/transmission-cli/files/patch-fix_without_ipv6
  1.1       +11 -0     ports/net-p2p/transmission-cli/files/patch-gtk_tr-prefs.c (new)
  1.3       +10 -0     ports/net-p2p/transmission-cli/files/patch-libtransmission_torrent.c (new)
  1.4       +3 -3      ports/net-p2p/transmission-cli/files/transmission.in
  1.70      +1 -1      ports/net-p2p/transmission/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Jeremy Messenger freebsd_committer 2011-03-05 04:18:03 UTC
State Changed
From-To: open->closed

Committed, thanks!